import { addIcon } from "@iconify/vue/dist/offline";

/**
 * 这里存放本地图标，在 src/layout/index.vue 文件中加载，避免在首启动加载
 */

// 本地菜单图标，后端在路由的icon中返回对应的图标字符串并且前端在此处使用addIcon添加即可渲染菜单图标
import HomeFilled from "@iconify-icons/ep/home-filled";
import InformationLine from "@iconify-icons/ri/information-line";
import Lollipop from "@iconify-icons/ep/lollipop";
import Setting from "@iconify-icons/ep/setting";
import Tools from "@iconify-icons/ep/tools";
import User from "@iconify-icons/ep/user";
import Guide from "@iconify-icons/ep/guide";
import View from "@iconify-icons/ep/view";
import Robot from "@iconify-icons/mdi/robot";
import Users from "@iconify-icons/mdi/users";
import ShapeFill from "@iconify-icons/ri/shape-fill";
import CodeBoxLine from "@iconify-icons/ri/code-box-line";
import BracesFill from "@iconify-icons/ri/braces-fill";
import WeChat2Line from "@iconify-icons/ri/wechat-2-line";
import FileUserLine from "@iconify-icons/ri/file-user-line";

addIcon("homeFilled", HomeFilled);
addIcon("informationLine", InformationLine);
addIcon("lollipop", Lollipop);
addIcon("setting", Setting);
addIcon("tools", Tools);
addIcon("user", User);
addIcon("guide", Guide);
addIcon("view", View);
addIcon("robot", Robot);
addIcon("users", Users);
addIcon("shape", ShapeFill);
addIcon("codeBoxLine", CodeBoxLine);
addIcon("bracesFill", BracesFill);
addIcon("wechat2Line", WeChat2Line);
addIcon("fileUserLine", FileUserLine);
